/*
 *
 * Copyright (C) 2000  Robert Olsson, Jens Ls 
 * Swedish University of Agricultural Sciences
 *
 * This file is part of GNU Zebra.
 *
 * GNU Zebra is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * GNU Zebra is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNU Zebra; see the file COPYING.  If not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.  
 */

char _zassert[90];
/* #define zassert(exp, failcode) \
if(!(exp)) { snprintf(_zassert,89,"ASSERT: line %d file %s failed: %s",\
             __LINE__, __FILE__, #exp);\
             fprintf(stderr, "%s\n", _zassert);\
             return (failcode);} */
#define zassert(exp, failcode) \
if(!(exp)) { int *_p = 0;snprintf(_zassert,89,"ASSERT: line %d file %s failed: %s",\
             __LINE__, __FILE__, #exp);\
             fprintf(stderr, "%s code: %u\n", _zassert, (unsigned int) failcode);\
             *(_p) = 0;}
