/*
 *
 * Copyright (C) 2000  Robert Olsson, Jens Ls 
 * Swedish University of Agricultural Sciences
 *
 * This file is part of GNU Zebra.
 *
 * GNU Zebra is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * GNU Zebra is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNU Zebra; see the file COPYING.  If not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.  
 */

#include <zebra.h>
#include "vector.h"
#include "vty.h"
#include "command.h"
#include "getopt.h"
#include "thread.h"

#include "stream.h"
#include "network.h"
#include "prefix.h"
#include "version.h"
#include "memory.h"

#include "if.h"
#include "sockunion.h"

#include "log.h"
#include "pim.h"
#include "pim_fsm.h"

#include <netinet/ip_mroute.h>
#include "tables.h"
#include "pim_route.h"

#include <netinet/igmp.h>
#include "if_ioctl.h"
#include "pim_packet.h"
#include "igmp_def.h"

#include "zbug.h"

void
pim_dump_packet (struct pim_neighbor *pn, int type, char * ibuf)
{
}

